# ArtifactRepository

interface ArtifactRepository

A repository for resolving and publishing artifacts.

#### Inheritors

PrebuiltLibraries
MavenArtifactRepository
FlatDirectoryArtifactRepository
IvyArtifactRepository

## Functions

content
Link copied to clipboard
abstract fun content(configureAction: Action<in RepositoryContentDescriptor>)
Configures the content of this repository.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name for this repository.
setName
Link copied to clipboard
abstract fun setName(name: String)
Sets the name for this repository.